swshswshPublic API
Download OpenAPIView raw

Retrieve all webhook subscriptions for the caller

GET/webhook/getSubscriptions

Authentication

Include your API key in the x-api-key header on every request.

Query parameters

limitinteger≥ 1≤ 64default: 32
cursorstring

Response · 200 Webhook subscriptions retrieved successfully

dataArray<WebhookConfig>required
object
webhookIdstringrequired
The unique identifier for the webhook subscription
configWebhookConfigNewPhoto | WebhookConfigNewAlbum | WebhookConfigPhotoLabelAddedrequired
The configuration for the webhook subscription, which includes the event type, target URL, and any additional metadata.
WebhookConfigNewPhoto
WebhookConfigNewAlbum
WebhookConfigPhotoLabelAdded
cursorstring
A cursor to be used in subsequent requests to retrieve the next page of results. If this is `{}`, there are no more results to retrieve.
warningsArray<string>
string